<?php

/* ######################################################################

  IML DEPLOYMENT

  webgui - documentation of the classes

  ---------------------------------------------------------------------
  2013-11-19  Axel <axel.hahn@iml.unibe.ch>
  ...
  2024-09-03  Axel <axel.hahn@unibe.ch>  php8 only; added variable types; short array syntax
  ###################################################################### */

require_once("./classes/classinfos.class.php");
$aClasses = [
    "actionlog" => ["name" => "actionLog"],
    // "cache" => ["name" => "AhCache"),
    "config-replacement" => ["name" => "configreplacement"],
    "foremanapi" => ["name" => "ForemanApi"],
    "formgen" => ["name" => "formgen"],
    "htmlguielements" => ["name" => "htmlguielements"],
    "ldap" => ["name" => "imlldap"],
    "logger" => ["name" => "logger"],
    "messenger" => ["name" => "messenger"],
    "page" => ["name" => "Page"],
    "project" => ["name" => "project"],
    "projectlist" => ["name" => "projectlist"],
    "rollout_base" => ["name" => "rollout_base"],
    "user" => ["name" => "user"],
    "vcs.git" => ["name" => "vcs"],

];

$sOut = '';
$sOut .= '<a href="/deployment/all/doc/">Start</a> | ';
foreach ($aClasses as $sClassfile => $aInfos) {
    $sOut .= '<a href="/deployment/all/doc/' . $sClassfile . '/">' . $sClassfile . '</a> | ';
}
$sOut .= '<hr>';

if (array_key_exists("par3", $aParams)) {
    $sClass = $aParams["par3"];
    if (!array_key_exists($sClass, $aClasses)) {
        $sOut .= $oHtml->getBox("error", sprintf(t("page-doc-error-class-not-configured"), $sClass, __FILE__));
    } else {
        require_once("./classes/$sClass.class.php");
        $o = new classinfos($aClasses[$sClass]["name"]);
        $sOut .= t("page-doc-info-" . $sClass) . $o->render();
    }
} else {
    $sOut .= t("page-doc-info-select-class") . '<ul>';
    foreach (array_keys($aClasses) as $sClassfile) {
        $sOut .= '<li>'
            . '<a href="/deployment/all/doc/' . $sClassfile . '/">' . $sClassfile . '</a>'
            . ' ' . t("page-doc-info-" . $sClassfile)
            . '</li>';
    }
    $sOut .= '</ul>';
}

// -- Ausgabe
echo $sOut;
