<?php
/**
 * 
 * Rollout plugin - default
 * 
 * no action
 *
 * @author <axel.hahn@iml.unibe.ch>
 * 
 * 2024-09-02  Axel   php8 only; added variable types; short array syntax
 */
class rollout_default extends rollout_base
{

    /**
     * Get an array with shell commands to check requirements if the plugin
     * can work
     * 
     * @return array
     */
    public function checkRequirements(): array
    {
        // no specific checks needed ... always empty
        return [];
    }

    /**
     * Get an array with shell commands to check access to a deploy target
     * 
     * @return array
     */
    public function checkConnectionToTarget(): array
    {
        // do nothing ... always empty
        return [];
    }

    /**
     * Get an array with shell commands to execute for deployment of built file
     * 
     * @param  string   $sPhase
     * @param  boolean  $bMask   Flag for public output; if true then mask your secrets
     * @return array
     */
    public function getDeployCommands(string $sPhase, bool $bMask = false): array
    {
        return [
            'echo "SKIP"'
        ];
    }

    /**
     * override general form renderer: show a single message that no
     * configuration items exist
     * 
     * @return string
     */
    public function renderFormdata4Project(): string
    {
        return $this->_t('no-cfg');
    }

    /**
     * override of form renderer: show configuration for a given phase
     
     * @param string $sPhase  phaese; one of preview|stage|live
     * @return string
     */
    public function renderFormdata4Phase(string $sPhase): string
    {
        return $this->_t('no-cfg');
    }
}
